Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1497657 - Review Request: eclipse-m2e-apt - M2E JDT Annotation Processor Toolkit connector
Summary: Review Request: eclipse-m2e-apt - M2E JDT Annotation Processor Toolkit connector
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-02 11:31 UTC by Mat Booth
Modified: 2018-04-18 22:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 22:52:22 UTC
Type: ---
Embargoed:
akurtako: fedora-review+


Attachments (Terms of Use)

Description Mat Booth 2017-10-02 11:31:06 UTC
Spec URL: https://fedorapeople.org/~mbooth/reviews/eclipse-m2e-apt.spec
SRPM URL: https://fedorapeople.org/~mbooth/reviews/eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc28.src.rpm

Description:
This package provides JDT Annotation Process Toolkit connector for Eclipse
M2E. It provides automatic Annotation Processing configuration in Eclipse
based on your project's pom.xml and its classpath dependencies.

Fedora Account System Username: mbooth

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22209766

Comment 1 Alexander Kurtakov 2017-10-03 09:55:00 UTC
I'll do this one.

Comment 2 Alexander Kurtakov 2017-10-03 10:12:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* EPL (v1.0)", "Unknown or generated", "EPL
     (v1.0)". 
[X]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc26.noarch.rpm
          eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc26.src.rpm
eclipse-m2e-apt.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
eclipse-m2e-apt.noarch: W: spelling-error %description -l en_US classpath -> class path, class-path, classmate
eclipse-m2e-apt.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/m2e-apt/eclipse/plugins/slf4j.api_1.7.22.jar ../../../../../java/slf4j/slf4j-api.jar
eclipse-m2e-apt.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/m2e-apt/eclipse/plugins/slf4j.simple_1.7.22.jar ../../../../../java/slf4j/slf4j-simple.jar
eclipse-m2e-apt.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
eclipse-m2e-apt.src: W: spelling-error %description -l en_US classpath -> class path, class-path, classmate
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
eclipse-m2e-apt.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
eclipse-m2e-apt.noarch: W: spelling-error %description -l en_US classpath -> class path, class-path, classmate
eclipse-m2e-apt.noarch: W: invalid-url URL: https://github.com/jbosstools/m2e-apt <urlopen error [Errno -2] Name or service not known>
eclipse-m2e-apt.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/m2e-apt/eclipse/plugins/slf4j.api_1.7.22.jar ../../../../../java/slf4j/slf4j-api.jar
eclipse-m2e-apt.noarch: W: dangling-relative-symlink /usr/share/eclipse/droplets/m2e-apt/eclipse/plugins/slf4j.simple_1.7.22.jar ../../../../../java/slf4j/slf4j-simple.jar
1 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
eclipse-m2e-apt (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    osgi(org.eclipse.jdt.apt.core)
    osgi(org.eclipse.jdt.core)
    osgi(org.eclipse.jdt.ui)
    osgi(org.eclipse.m2e.core)
    osgi(org.eclipse.m2e.editor.xml)
    osgi(org.eclipse.m2e.jdt)
    osgi(org.eclipse.m2e.maven.runtime)
    osgi(org.eclipse.wst.sse.core)
    osgi(org.eclipse.wst.sse.ui)
    osgi(org.eclipse.wst.xml.core)
    osgi(org.eclipse.wst.xml.ui)
    osgi(slf4j.api)



Provides
--------
eclipse-m2e-apt:
    eclipse-m2e-apt
    mvn(org.jboss.tools.maven.apt:org.jboss.tools.maven.apt.core)
    mvn(org.jboss.tools.maven.apt:org.jboss.tools.maven.apt.feature)
    mvn(org.jboss.tools.maven.apt:org.jboss.tools.maven.apt.ui)
    osgi(org.jboss.tools.maven.apt.core)
    osgi(org.jboss.tools.maven.apt.feature)
    osgi(org.jboss.tools.maven.apt.ui)



Source checksums
----------------
https://github.com/jbosstools/m2e-apt/archive/12a8d333cf39b92f5238e0cb51cf7d2d0984e135/eclipse-m2e-apt-1.3.0-12a8d33.tar.gz :
  CHECKSUM(SHA256) this package     : 46b1e5afda494ef3b0036b4b795460d62c877040abf45b68303654392ef9c714
  CHECKSUM(SHA256) upstream package : 46b1e5afda494ef3b0036b4b795460d62c877040abf45b68303654392ef9c714


APPROVED

Comment 4 Gwyn Ciesla 2017-10-04 12:41:25 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/eclipse-m2e-apt

Comment 5 Fedora Update System 2017-10-05 07:44:56 UTC
eclipse-m2e-wtp-1.3.3-0.2.git9202520.fc26 eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b172deced3

Comment 6 Fedora Update System 2017-10-05 07:45:09 UTC
eclipse-m2e-wtp-1.3.3-0.2.git9202520.fc27 eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a9188cd356

Comment 7 Fedora Update System 2017-10-06 03:26:46 UTC
eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc26, eclipse-m2e-wtp-1.3.3-0.2.git9202520.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b172deced3

Comment 8 Fedora Update System 2017-10-06 04:29:26 UTC
eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc27, eclipse-m2e-wtp-1.3.3-0.2.git9202520.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a9188cd356

Comment 9 Fedora Update System 2017-10-10 19:29:32 UTC
eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc27, eclipse-m2e-wtp-1.3.3-0.2.git9202520.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-10-16 17:52:57 UTC
eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc26, eclipse-m2e-wtp-1.3.3-0.2.git9202520.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.